Delete Project
curl --request DELETE \
--url https://api.example.com/api/v2/deployments/{deploymentId}/projects/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/deployments/{deploymentId}/projects/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/deployments/{deploymentId}/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project": {
"id": 555,
"name": "foo/bar",
"createTime": "2021-01-01T01:23:00.000Z",
"tags": [
"backend",
"python"
],
"latestScanId": 4356445,
"url": "https://github.com/foo/bar",
"primaryBranchId": 12345,
"defaultBranchId": 67890
}
}Projects
Delete Project
Delete a project by its ID. This will delete the project and all of its findings. This action cannot be reversed.
DELETE
/
api
/
v2
/
deployments
/
{deploymentId}
/
projects
/
{projectId}
Delete Project
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Your deployment ID.
The unique identifier for the project.
Example:
555
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I